It's never too early to think about your long-term goals. The Kingdom of Aden is in chaos, because they are at war with Elmore to the north and Gracia across the sea. Remember, there are alwyas opportunities during times of chaos. You're just a novice grunt now, but it's your duty to become a great hero and restore the Orc race to supremacy.
You must begin by familiarizing yourself with the gear you already have. Whether you seek to become a dragon slayer or the commander of a great horde of Orcs, it all begins with your training here.
Start out by hunting crimson keltirs or kasha wolves around the village. When you find items left behind by the monsters you slay, try equipping the armour and weapons, to see if they're better than what you already have. If you have no other use for them, you can always sell them at a shop.
Return